/*
 *  stereo -- Stereo matching software
 *  $Id: image.h 183 2004-07-13 12:08:11Z eric $
 *  Copyright (c) 2004 Sam Hocevar <sam@zoy.org>
 *                     Éric Beets <ericbeets@free.fr>
 *  All Rights Reserved
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA
 */

int image_new(image_t *image,
              unsigned int width,
              unsigned int height,
              unsigned int depth);

int image_load(image_t *image,
               char *filename);

int image_display(image_t *image);

int image_free(image_t *image);

int getpixel(image_t *image,
             int x, int y,
             int *r, int *g, int *b);

int setpixel(image_t *image,
             int x, int y,
             int r, int g, int b);

int convert_BGR2GRAY(image_t *src,image_t *dst);
