/*
 *  stereo -- Stereo matching software
 *  $Id: matching.c 192 2004-07-19 08:12:09Z sam $
 *  Copyright (c) 2004 Sam Hocevar <sam@zoy.org>
 *                     Éric Beets <ericbeets@free.fr>
 *  All Rights Reserved
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA
 */

#include <stdint.h>
#include <stdio.h>

#include "defs.h"
#include "main.h"
#include "image.h"

/* Perform stereo matching of an image pair */
int matching(pair_t *pair)
{
    image_new(&pair->depthmap_norm[LEFT], pair->image_norm[LEFT].width,
              pair->image_norm[LEFT].height, 3);
    image_new(&pair->depthmap_norm[RIGHT], pair->image_norm[RIGHT].width,
              pair->image_norm[RIGHT].height, 3);

    image_new(&pair->depthmap[LEFT], pair->image[LEFT].width,
              pair->image[LEFT].height, 3);
    image_new(&pair->depthmap[RIGHT], pair->image[RIGHT].width,
              pair->image[RIGHT].height, 3);

	printf("Construction carte 3D\n");
//	Carte_3D(	&pair->projection[LEFT],
//				&pair->projection[RIGHT],
//				&pair->depthmap_norm[LEFT],&pair->depthmap_norm[RIGHT]);

	Correlation(&pair->image_norm[LEFT],
				&pair->image_norm[RIGHT],
				&pair->depthmap_norm[LEFT],
				&pair->depthmap_norm[RIGHT],pair->adjust);
	    return 0;
}

