#include "opengl.h"

void glidle(void)
{
	if(cvWaitKey(1)!=-1)
		exit(0);
}

void initGL(int argc, char** argv)
{
	glutInit(&argc, argv);  
}

void loopGL()
{
	glutMainLoop();  
}


void init_glwin(opengl_t glwin)
{
	glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGBA | GLUT_DEPTH);  
	glutInitWindowSize(glwin.width,glwin.height);
	glutInitWindowPosition(5+glwin.width,5);  
	glwin.handle = glutCreateWindow(glwin.title);  

	glutIdleFunc(glidle);
	
	glutKeyboardFunc(glwin.gl_keyboard);
	glutSpecialFunc(glwin.gl_keyboardspe);
	glutMouseFunc(glwin.gl_mouse);
	glutMotionFunc(glwin.gl_mousemove);
	glutDisplayFunc(glwin.gl_display);  
	glutReshapeFunc(glwin.gl_reshape);

	glEnable(GL_DEPTH_TEST);

}

void DrawAxe(void)
{
	float fact = 1000;
	glColor3f(1.0,0.0,0.0);
	glRasterPos3f(fact,0,0);
	glutBitmapCharacter(GLUT_BITMAP_HELVETICA_12,'X');
	glBegin(GL_LINES);
		glVertex3f(0,0,0);
		glVertex3f(fact,0,0);
	glEnd();
	glColor3f(0.0,1.0,0.0);
	glRasterPos3f(0,fact,0);
	glutBitmapCharacter(GLUT_BITMAP_HELVETICA_12,'Y');
	glBegin(GL_LINES);
		glVertex3f(0,0,0);
		glVertex3f(0,fact,0);
	glEnd();
	glColor3f(0.0,0.0,1.0);
	glRasterPos3f(0,0,fact);
	glutBitmapCharacter(GLUT_BITMAP_HELVETICA_12,'Z');
	glBegin(GL_LINES);
		glVertex3f(0,0,0);
		glVertex3f(0,0,fact);
	glEnd();
}

void DrawGrille(void)
{
	int i,pas = 50;
	int max = 800,min = -800;
	glColor3f(0.8,0.8,0.8);
	// sur X
	for(i=min/2;i<max/2;i+=pas)
	{
		glBegin(GL_LINES);
			glVertex3f(i,0,min/2);
			glVertex3f(i,0,max/2);
		glEnd();
	}
	// sur Z
	for(i=min/2;i<max/2;i+=pas)
	{
		glBegin(GL_LINES);
			glVertex3f(min/2,0,i);
			glVertex3f(max/2,0,i);
		glEnd();
	}
}

void PosEye(angle_t angle,pt3d_t *pt3d)
{
	pt3d->x = angle.tz*sin(angle.ry*PI/180)*cos(-angle.rx*PI/180);
	pt3d->y = angle.tz*sin(angle.ry*PI/180)*sin(-angle.rx*PI/180);
	pt3d->z = angle.tz*cos(angle.ry*PI/180);
}

